Upload invoice data files for import processing.
Upload Invoice Data
Uploads invoice data for processing and import. The payload is validated before import. Duplicate imports identified by import ID are rejected.
If a supplier billing type is specified, the invoice is processed as a Pass-Through Invoicing (PTI) import and routed to the PTI import container. Otherwise, the invoice is uploaded to standard import storage and queued for processing.
Upload Invoice Data โบ Request Body
tenantIdmandatory - the Tenant id
importIdmandatory - The id of the import - mandatory. Will be used to check if the import has been imported before
customerNameoptional/mandatory - name of the customer - used to look up customer. If IsSupplierInvoice=true then this is a mandatory field
customerGuidoptional - UC guid of the customer - used to look up customer
customerSSNorgoptional/mandatory - UC ssnorg of the customer - used to look up customer. If IsSupplierInvoice=true then this is a mandatory field
customerBirthoptional - Birt of the customer - used to look up customer. Date only ex. 2001-12-31
serviceTypeNamemandatory - service type name. Ex is NO_EL, FI_EL, SE_EL, DH_FO, DC_FO, NO_DP
supplierBillingType0 (Invoice), 1 (CreditNote).
paymentIdentificationoptional - The Payment identification (KID). If IsSupplierInvoice=true then this is a mandatory field
dueDateoptional - Any invoice due date
Array of lines to import
pdfFileoptional - Pdf file as Base64String
emailoptional - Used in distribution to better identify customer
phoneoptional - Used in distribution to better identify customer
mobileoptional - Used in distribution to better identify customer
Upload Invoice Data โบ Responses
File validated and uploaded

